> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# SSH Signing Keys

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /user/ssh_signing_keys`](https://docs.github.com/enterprise-cloud@latest/rest/users/ssh-signing-keys#list-ssh-signing-keys-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - List SSH signing keys for the authenticated user
* [`POST /user/ssh_signing_keys`](https://docs.github.com/enterprise-cloud@latest/rest/users/ssh-signing-keys#create-a-ssh-signing-key-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Create a SSH signing key for the authenticated user
* [`GET /user/ssh_signing_keys/{ssh_signing_key_id}`](https://docs.github.com/enterprise-cloud@latest/rest/users/ssh-signing-keys#get-an-ssh-signing-key-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Get an SSH signing key for the authenticated user
* [`DELETE /user/ssh_signing_keys/{ssh_signing_key_id}`](https://docs.github.com/enterprise-cloud@latest/rest/users/ssh-signing-keys#delete-an-ssh-signing-key-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Delete an SSH signing key for the authenticated user
* [`GET /users/{username}/ssh_signing_keys`](https://docs.github.com/enterprise-cloud@latest/rest/users/ssh-signing-keys#list-ssh-signing-keys-for-a-user) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List SSH signing keys for a user
